CKSUM(1)

NAVN
cksum - beregn og verificer filkontrolsummer

SYNOPSIS
cksum [TILVALG]... [FIL]...

BESKRIVELSE

Udskriv eller verificer kontrolsummer. Bruger som standard 32-bit CRC-algoritmen.

Hvis ingen FIL er angivet, eller FIL er -, læses fra standard-ind.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-a, --algorithm=TYPE
    vælg hashværdi. Se DIGEST nedenfor.

--base64
    emit base64-encoded digests, not hexadecimal

-c, --check
    læs kontrolsummer fra FILerne og tjek dem

-l, --length=BITS
    længde af hashværdi i bit; må ikke overstige blake2- algoritmens maksimum, og skal være et multiplum af 8

--raw
    emit a raw binary digest, not hexadecimal

--tag
    opret en kontrolsum i BSD-stil (standard)

--untagged
    opret en kontrolsum i omvendt stil, uden hashværdi

-z, --zero
    afslut udlinjer med NUL frem for linjeskift og slå undvigesekvenser fra i filnavne

  De følgende fem flag bruges kun ved verifikation af kontrolsummer:

--ignore-missing
    giv ikke fejl og vis ikke status for manglende filer

--quiet
    udskriv ikke OK for hver godkendt fil

--status
    udskriv ikke noget; statuskode angiver resultat

--strict
    afslut med status forskellig fra nul ved fejlformaterede kontrolsumlinjer

-w, --warn
    advar om fejlformaterede kontrolsum-linjer

--debug
    indikerer anvendt implementering

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

  DIGEST bestemmer hashværdi-algoritmen og uddataformatet:

sysv
    (svarer til sum -s)

bsd (svarer til sum -r)

crc (svarer til cksum)

md5 (svarer til md5sum)

sha1
    (svarer til sha1sum)

sha224
    (svarer til sha224sum)

sha256
    (svarer til sha256sum)

sha384
    (svarer til sha384sum)

sha512
    (svarer til sha512sum)

blake2b
    (svarer til b2sum)

sm3 (kun tilgængelig via cksum)

Når der kontrolleres, så skal inddata være et tidligere resultat af dette program eller et tilsvarende uafhængigt program.

FORFATTER
Skrevet af Padraig Brady og Q. Frank Xia.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/cksum>
eller lokalt tilgængelig via: info '(coreutils) cksum invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.